apply plugin: 'com.android.application'

android {
    compileSdkVersion 30
    buildToolsVersion "30.0.3"

    lintOptions {
        checkReleaseBuilds false
        // Or, if you prefer, you can continue to check for errors in release builds,
        // but continue the build even when errors are found:
        abortOnError false
    }

    defaultConfig {
        applicationId "com.wisdom.hydroponics"
        minSdkVersion 21
        targetSdkVersion 30
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    buildFeatures {
        viewBinding true
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

dependencies {
    implementation fileTree(dir: "libs", include: ["*.jar"])
    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    implementation project(path: ':esptouch-v2')
    implementation project(path: ':esptouch')
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'androidx.test.ext:junit:1.1.1'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'

//    implementation 'com.rairmmd:andesptouch:1.0.5'ww

    compile 'com.android.support:multidex:1.0.3'

    //图片
    implementation 'com.github.bumptech.glide:glide:4.7.1'

    //网络请求
    implementation 'com.squareup.okhttp3:okhttp:3.4.1'
    implementation 'com.squareup.okio:okio:1.12.0'

    //注释
    implementation 'com.jakewharton:butterknife:10.0.0'
    annotationProcessor 'com.jakewharton:butterknife-compiler:10.0.0'

    //刷新
    compile 'com.scwang.smartrefresh:SmartRefreshLayout:1.1.0-alpha-14'

    //状态栏
    compile 'com.jaeger.statusbarutil:library:1.4.0'

    //photoView
    implementation 'com.github.chrisbanes:PhotoView:2.0.0'

    //LoadingDialog
    compile 'com.github.gittjy:LoadingDialog:1.0.2'

    //timePicker
    compile 'com.contrarywind:Android-PickerView:4.1.6'

    //eventbus
    compile 'org.greenrobot:eventbus:3.0.0'

    //图片选择器
    implementation 'com.github.LuckSiege.PictureSelector:picture_library:v2.2.3'

    //吐司
    compile 'com.github.johnpersano:supertoasts:2.0'

    //扫描二维码
    compile 'cn.yipianfengye.android:zxing-library:2.2'

    //json工具
    implementation 'com.google.code.gson:gson:2.2.4'
}